/* Barra Superior */
.top-bar {
    background-color: var(--color-primary);
    color: var(--color-hover-text);
    padding: 10px 0;
    font-family: var(--font-family);
}
.top-bar .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.top-bar-left a, .top-bar-right a, .top-bar-left span {
    color: var(--color-hover-text);
    text-decoration: none;
    margin: 0 10px;
    font-size: var(--font-size-medium);
}
.top-bar-left span {
    margin-right: 5px;
}
.top-bar-left a:hover, .top-bar-right a:hover {
    text-decoration: underline;
}
.top-bar-left i {
    margin: 0 8px;
    font-size: var(--font-size-medium);
    color: var(--color-hover-text);
}
.language-selector {
    position: relative;
    display: inline-block;
}
.drop-down__button {
    background-color: var(--color-secondary);
    color: var(--color-hover-text);
    border: none;
    padding: 8px 15px;
    font-size: var(--font-size-medium);
    cursor: pointer;
    border-radius: 5px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.drop-down__icon {
    margin-left: 10px;
    transition: transform 0.3s ease; /* Suaviza a rotação */
}

.drop-down__icon.rotate {
    transform: rotate(180deg); /* Rotação de 180 graus para indicar que o menu está aberto */
}
.drop-down__menu-box {
    display: none;
    position: absolute;
    background-color: #a8a8a8;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 100;
    right: 0;
    border-radius: 4px;
    transition: opacity 0.3s, visibility 0.3s;
    opacity: 0;
    visibility: hidden;
}
.drop-down__menu {
    margin: 0;
    padding: 0;
    list-style: none;
}
.drop-down__item {
    padding: 10px 20px;
    color: var(--color-text);
    cursor: pointer;
    border-bottom: 1px solid #e0e2e9;
}
.drop-down__item:last-of-type {
    border-bottom: none;
}
.drop-down__item:hover {
    background-color: var(--color-primary);
    color: var(--color-hover-text);
}
.drop-down--active .drop-down__menu-box {
    display: block;
    opacity: 1;
    visibility: visible;
    margin-top: 5px;
}

/* Menu de Navegação Desktop */
.navbar.desktop-menu {
    display: flex;
    background-color: var(--color-background);
    color: var(--color-text);
    padding: 10px 0;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 10;
    border-bottom: 1px solid var(--color-border);
}
.navbar.desktop-menu .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
.navbar.desktop-menu .logo img {
    height: 60px;
    margin-top: 15px;
    margin-bottom: 15px;
}
.navbar.desktop-menu .menu {
    display: flex;
}
.navbar.desktop-menu .menu ul {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}
.navbar.desktop-menu .menu li {
    position: relative;
    margin: 0 15px;
}
.navbar.desktop-menu .menu a {
    color: var(--color-text);
    font-weight: bold;
    padding: 5px 0;
    display: inline-block;
    transition: color 0.3s ease;
}
.navbar.desktop-menu .menu a:hover {
    color: var(--color-tertiary);
}

/* Ajustes para os itens principais do menu */
.navbar.desktop-menu .menu > ul > li > a, .navbar.mobile-menu .menu > ul > li > a {
    text-transform: uppercase;
    color: var(--color-secondary);
    font-size: var(--font-size-medium);
}
.navbar.desktop-menu .menu > ul > li > a:hover, .navbar.mobile-menu .menu > ul > li > a:hover {
    color: var(--color-tertiary);
}
/* Ajustes para os itens do submenu */
.navbar.desktop-menu .menu .dropdown li a, .navbar.mobile-menu .menu .dropdown li a, .language-selector .drop-down__menu-box .drop-down__item {
    font-size: var(--font-size-medium);
    font-weight: normal;
    text-transform: none;
    color: var(--color-secondary);
    padding: 10px 15px;
    display: block;
    width: 100%;
}
.language-selector .drop-down__menu-box .drop-down__item:hover, .navbar.desktop-menu .menu .dropdown li a:hover, .navbar.mobile-menu .menu .dropdown li a:hover {
    background-color: var(--color-primary);
    color: var(--color-hover-text);
}
.language-selector .drop-down__button .drop-down__name {
    font-size: var(--font-size-small);
}

/* Submenu hidden by default */
/* .navbar.desktop-menu .menu .dropdown {
    display: none;
    position: absolute;
    background-color: var(--color-background);
    top: 100%;
    left: 0;
    min-width: 200px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.2);
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-20px);
    transition: all 0.3s ease;
}
.navbar.desktop-menu .menu li:hover .dropdown {
    display: block;
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
} */

.navbar.desktop-menu .menu .dropdown {
    display: block; /* Torna o submenu visível sempre, mas será escondido com opacidade */
    position: absolute;
    background-color: var(--color-background);
    top: 100%;
    left: 0;
    min-width: 200px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.2);
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 1000;
    opacity: 0; /* Invisível por padrão */
    visibility: hidden; /* Para evitar interações */
    transform: translateY(-10px); /* Move para cima um pouco */
    transition: all 0.3s ease; /* Transição suave */
}

.navbar.desktop-menu .menu li:hover .dropdown {
    opacity: 1; /* Torna visível quando o mouse está sobre o item */
    visibility: visible; /* Permite interações */
    transform: translateY(0); /* Reseta o movimento */
}



.navbar.desktop-menu .menu .dropdown li {
    border-bottom: 1px solid var(--color-border);
}
.navbar.desktop-menu .menu .dropdown li a {
    padding: 10px 15px;
    display: block;
    color: var(--color-text);
    width: 100%;
}
.navbar.desktop-menu .menu .dropdown li a:hover {
    background-color: var(--color-hover);
}
.navbar.desktop-menu .menu a .fas {
    margin-left: 5px;
    transition: transform 0.3s;
}
.navbar.desktop-menu .menu a .rotate {
    transform: rotate(180deg);
}

/* Menu de Navegação Mobile */
.navbar.mobile-menu {
    background-color: var(--color-background);
    color: var(--color-text);
    padding: 10px 0;
    width: 100%;
    border-bottom: 1px solid var(--color-border);
    display: flex;
    flex-direction: column;
    position: static;
}
.navbar.mobile-menu .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
.navbar.mobile-menu .logo img {
    max-height: 60px;
    margin-bottom: 10px;
}
.menu-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--color-primary);
    color: var(--color-hover-text);
    width: 100%;
    padding: 10px 15px;
}
.menu-bar .burger-menu {
    display: flex;
    align-items: center;
    cursor: pointer;
    background-color: transparent;
}
.menu-text {
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
}
.burger-menu {
    cursor: pointer;
}
.menu-icon {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.menu-icon .bar {
    width: 25px;
    height: 3px;
    background-color: var(--color-hover-text);
    margin: 4px 0;
    transition: 0.4s;
}
.burger-menu.active .menu-icon .bar:nth-child(1) {
    transform: rotate(-45deg) translate(-9px, 6px);
}
.burger-menu.active .menu-icon .bar:nth-child(2) {
    opacity: 0;
}
.burger-menu.active .menu-icon .bar:nth-child(3) {
    transform: rotate(45deg) translate(-9px, -7px);
}
.navbar.mobile-menu .menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: var(--color-background);
}
.navbar.mobile-menu .menu.active {
    display: flex;
}
.navbar.mobile-menu .menu ul {
    display: flex;
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: 0;
}
.navbar.mobile-menu .menu li {
    position: relative;
    margin: 0;
}
.navbar.mobile-menu .menu a {
    color: var(--color-text);
    font-weight: bold;
    padding: 10px 15px;
    display: inline-block;
    transition: color 0.3s ease;
    width: 100%;
}
.navbar.mobile-menu .menu a:hover {
    color: var(--color-primary);
}
.navbar.mobile-menu .menu .top-bar-items {
    border-top: 1px solid var(--color-border);
    padding-top: 10px;
    margin-top: 10px;
}
.navbar.mobile-menu .menu .top-bar-items a {
    color: var(--color-secondary);
    font-weight: normal;
    padding: 5px 0;
    display: block;
}
.navbar.mobile-menu .menu .top-bar-items a:hover {
    color: var(--color-primary);
}
.navbar.mobile-menu .menu .social-icons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid var(--color-border);
}
.navbar.mobile-menu .menu .social-icons .social-icon {
    width: 36px;
    height: 36px;
    background-color: var(--color-quaternary);
    border-radius: 50%;
    color: var(--color-hover-text);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
    transition: background-color 0.3s ease;
}
.navbar.mobile-menu .menu .social-icons .social-icon:hover {
    background-color: var(--color-hover);
}

/* Responsivo */
@media (max-width: 768px) {
     .navbar.mobile-menu .logo img {
        margin-top: 15px;
    }
    .top-bar {
        display: none;
    }
    .navbar.desktop-menu {
        display: none;
    }
    .navbar.desktop-menu .logo, .navbar.mobile-menu .logo {
        display: flex;
        justify-content: center;
        width: 100%;
    }
    .navbar.desktop-menu .logo img, .navbar.mobile-menu .logo img {
        max-width: 100%;
        height: auto;
        min-height: 70px;
    }
}
@media (min-width: 769px) {
    .navbar.mobile-menu {
        display: none;
    }
}

/* Submenu Mobile */
.navbar.mobile-menu .menu .dropdown {
    display: none;
    position: relative;
    width: 100%;
    background-color: var(--color-background);
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 1000;
    transition: opacity 0.3s ease, max-height 0.3s ease;
    overflow: hidden;
    border-top: 1px solid var(--color-border);
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    max-height: none;
}
.navbar.mobile-menu .menu .dropdown.active {
    display: block;
    opacity: 1;
    transform: translateY(0);
}
.navbar.mobile-menu .menu li.active .dropdown {
    display: block;
}
.navbar.mobile-menu .menu .dropdown li {
    border-bottom: 1px solid var(--color-border);
}
.navbar.mobile-menu .menu .dropdown li a {
    padding: 15px 20px;
    color: var(--color-text);
    display: block;
    width: 100%;
}
.navbar.mobile-menu .menu .dropdown li a:hover {
    background-color: var(--color-primary);
    color: var(--color-hover-text);
}

.navbar.mobile-menu .menu a .fas {
    margin-left: 5px;
    transition: transform 0.3s;
}

.navbar.mobile-menu .menu a .rotate {
    transform: rotate(180deg);
}
